Bug 858902 - jenkins builder apps start the cart type app
jenkins builder apps start the cart type app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 20:29 EDT by Bill DeCoste
Modified: 2015-05-14 18:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: jenkins-plugin-openshift 0.6.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 14:25:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill DeCoste 2012-09-19 20:29:53 EDT
Description of problem:
Starting the app in the builder gear is inefficient in terms of creation time and resource usage

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create any app w/embedded jenkins
2. build the app
3.
  
Actual results:
the app is started on the builder gear


Expected results:
the directory structure should be created, but the app should not be started


Additional info:
Comment 1 Bill DeCoste 2012-11-06 14:28:27 EST
To test, create a jenkins enabled jbossas-7 application and kick off a build. There should only be one jboss process running.
Comment 2 Jianwei Hou 2012-11-07 04:38:04 EST
On latest devenv_2437, jenkins-plugin version is lower than fixed version.
[root@ip-10-145-149-199 ~]# rpm -q jenkins-plugin-openshift
jenkins-plugin-openshift-0.6.7-0.el6_3.x86_64


So leave this bug as ON_QA, will test and verify it once devenv has the fixed version of jenkins-plugin
Comment 3 Jianwei Hou 2012-11-09 00:37:00 EST
Verified on devenv_2445
jenkins-plugin-openshift-0.6.8-0.el6_3.x86_64

Steps:
1. Create a jbossas-7 app with jenkins enabled
2. Trigger jenkins build for jbossas-7 app, ssh into app instance and slave app instance, ps -ef, check there is only one jboss process running, the slave app should create directory structure but not start jboss process

On jbossas-7 gear:
[jas1-2445t.dev.rhcloud.com ~]\> ps -ef
UID        PID  PPID  C STIME TTY          TIME CMD
501       2262  1865  0 00:32 ?        00:00:00 sshd: 40a5953c1b994169b28f166ceeb75548@pts/3
501       2294  2262  0 00:32 ?        00:00:00 /bin/bash --init-file /usr/bin/rhcsh -i
501       2350  2321  0 00:32 ?        00:00:00 sshd: 40a5953c1b994169b28f166ceeb75548@notty
501       2351  2350  0 00:32 ?        00:00:00 /usr/bin/git-receive-pack ~/git/jas1.git/
501       2366  2351  0 00:32 ?        00:00:00 /usr/bin/git-receive-pack ~/git/jas1.git/
501       2367  2351  0 00:32 ?        00:00:00 /bin/bash hooks/post-receive
501       2370  2367  0 00:32 ?        00:00:00 /bin/bash /usr/libexec/openshift/cartridges/abstract/info/bin/post_receive_app.sh localhost
501       2373  2370  0 00:32 ?        00:00:00 /bin/bash -e /usr/libexec/openshift/cartridges/abstract/info/bin/jenkins_build.sh
501       2376  2373  0 00:32 ?        00:00:00 ruby /usr/libexec/openshift/cartridges/abstract/info/bin/jenkins_build jas1-build
501       3892     1  0 Nov08 ?        00:00:00 /bin/sh /var/lib/openshift/40a5953c1b994169b28f166ceeb75548//jbossas-7/jbossas-7/bin/standalone.sh
501       4076  3892  0 Nov08 ?        00:00:35 /usr/lib/jvm/jre-1.7.0/bin/java -D[Standalone] -client -Xmx256m -XX:MaxPermSize=128m -XX:+AggressiveOpts -Dorg.apache.tomca
501       4383  2294  1 00:33 ?        00:00:00 ps -ef


On slave app gear:
[jas1bldr-2445t.dev.rhcloud.com ~]\> ps -ef
UID        PID  PPID  C STIME TTY          TIME CMD
526       3639  3613  2 00:32 ?        00:00:01 sshd: dfeaa437a33b42c89dda217f8cd33736@notty
526       3652  3639  5 00:33 ?        00:00:02 java -jar /var/lib/openshift/dfeaa437a33b42c89dda217f8cd33736/app-root/data//jenkins/slave.jar
526       4039  4002  0 00:33 ?        00:00:00 sshd: dfeaa437a33b42c89dda217f8cd33736@pts/5
526       4053  4039  0 00:33 ?        00:00:00 /bin/bash --init-file /usr/bin/rhcsh -i
526       4187  3652  0 00:33 ?        00:00:00 /bin/sh -xe /tmp/hudson1257264499920333373.sh
526       5148  4187  0 00:33 ?        00:00:00 /bin/bash /usr/libexec/openshift/cartridges/jenkins-1.4/info/bin/git_ssh_wrapper.sh 40a5953c1b994169b28f166ceeb75548@jas1-2
526       5151  5148  0 00:33 ?        00:00:00 /usr/bin/ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/var/lib/openshift/dfeaa437a33b42c89dda217f8cd33736/app-root
526       5155  4053  2 00:33 ?        00:00:00 ps -ef


[jas1bldr-2445t.dev.rhcloud.com ~]\> ls
app-root  git  jbossas-7
[jas1bldr-2445t.dev.rhcloud.com ~]\> ls jbossas-7/
ci  data  jbossas-7  logs  repo  run  runtime  tmp

Note You need to log in before you can comment on or make changes to this bug.